cascading.flow.planner

## Class PlannerInfo

- java.lang.Object
- - cascading.flow.planner.PlannerInfo

-     public class PlannerInfo
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `name`
    `static PlannerInfo` | `NULL`
    `String` | `platform`
    `String` | `registry`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlannerInfo(String name, String platform, String registry)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object object)`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NULL

          public static final PlannerInfo NULL

    - #### name

          public final String name

    - #### platform

          public final String platform

    - #### registry

          public final String registry

  - ### Constructor Detail

    - #### PlannerInfo

          public PlannerInfo(String name,
                     String platform,
                     String registry)

  - ### Method Detail

    - #### equals

          public boolean equals(Object object)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.